fs copyacl                 AFS Commands              fs copyacl


NAME

   fs copyacl -- copy access control list from one directory

                       to one or more other directories.


   fs copyacl -fromdir <source directory>
                                 +
   -todir <destination directory> 
   [-clear]  [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

                                                           +
   fs co  -f <source directory>  -t <destination directory> 
   [-c]  [-h]

DESCRIPTION

   Copies  the  access  control  list  (ACL)  from  the  source
   directory to each destination directory.  The  command  does
   not  affect  entries on the ACL of the source directory.  It
   affects entries on the ACL of each destination directory  as
   follows:

      - If  an  entry  is  unique to the ACL of the source
        directory,  it  is  copied  to  the  ACL  of   the
        destination directory.

      - If   an   entry   exists   on  the  ACLs  of  both
        directories, it is  changed  on  the  ACL  of  the
        destination  directory to match the rights granted
        on the ACL of the source directory.

      - If  an  entry  is  unique  to  the  ACL   of   the
        destination  directory  and  the  -clear  flag  is
        omitted, the entry is not affected.

      - If  an  entry  is  unique  to  the  ACL   of   the
        destination  directory  and  the  -clear  flag  is
        included, the entry is removed.

   Use the -clear flag to completely replace the  ACL  of  each
   destination directory with that of the source directory.

ARGUMENTS

   -fromdir
         specifies the source directory  whose  ACL  is  to  be
         copied  to  each  destination  directory.  Abbreviated
         pathnames are interpreted relative to the directory in
         which  the  command  is  issued.    If  a  filename is
         provided, the file's parent directory is used  as  the
         source directory.

   -todir
         specifies  one  or  more  destination  directories  to
         receive   the   ACL   from   the   source   directory.
         Abbreviated pathnames are interpreted relative to  the
         directory  in which the command is issued.  A filename



         cannot be specified with this switch.

   -clear
         removes  all  existing  entries  from  the ACL of each
         destination directory before copying the ACL from  the
         source   directory.    The  ACL  of  each  destination
         directory is thus completely replaced with the ACL  of
         the  source directory.  If the issuer omits this flag,
         entries  that  exist  on  the  ACL  of  a  destination
         directory  but  not on the ACL of the source directory
         are not affected.

   -help prints the online help entry for this command.  Do not
         provide  any  other  arguments or flags with this one.
         See section 3.1  in  the  Reference  Manual  for  more
         details.

EXAMPLES

   The  following  example  uses the fs copyacl command to copy
   the ACL from the current directory to the subdirectory named
   reports.    Entries  on the ACL of the current directory are
   not affected.   Because  the  -clear  option  is  not  used,
   entries  on the ACL of the reports directory that are not on
   the ACL of the current directory remain unaffected as well.

       % fs la . reports
       Access list for . is
       Normal rights:
          pat rlidwka
          smith rlidwk

       Access list for reports is
       Normal rights:
          pat rl
          pat:friends rl
       Negative rights
          jones rlidwka

       % fs co . reports

       % fs la . reports
       Access list for . is
       Normal rights:
          pat rlidwka
          smith rlidwk

       Access list for reports is
       Normal rights:
          pat rlidwka
          pat:friends rl
          smith rlidwk
       Negative rights
          jones rlidwka



PRIVILEGE REQUIRED

   Issuer must have LOOKUP right to the  source  directory  and
   ADMINISTER  right  to  each destination directory.  To issue
   the command with a filename used for source  directory,  the
   issuer  must have both the LOOKUP and READ rights on the ACL
   of the file's parent directory.

MORE INFORMATION

   fs listacl

   fs setacl
